--AH:ScriptId=a8806f35-c640-4bd2-9494-8820367a813e;417
CREATE TABLE [EventTypeDetails] (
	[Event_Code] CHAR(6) NOT NULL,
	[Detail_Name] sysname NOT NULL,
	[Detail_Type] sysname NOT NULL,
	[Detail_Sequence] INT NOT NULL,

    CONSTRAINT [PK__EventTypeDetails] PRIMARY KEY ([Event_Code],[Detail_Name]),
    CONSTRAINT [UQ__EventTypeDetails__Detail_Sequence] UNIQUE NONCLUSTERED ([Event_Code],[Detail_Sequence]),
    CONSTRAINT [FK__EventTypeDetails__EventTypes] FOREIGN KEY([Event_Code]) REFERENCES [EventTypes] ([Event_Code]),
    CONSTRAINT [CK__EventTypeDetails__Detail_Sequence_Domain] CHECK ([Detail_Sequence] > 0),
    CONSTRAINT [CK__EventTypeDetails__Detail_Type_Domain] CHECK ([Detail_Type] IN ('datetime','int','varchar','nvarchar'))
)
