EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'VsixPackages_GetLatest',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'VsixPackages_Latest',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the latest packages in a feed.'
GO

IF OBJECT_ID('[VsixPackages_GetLatest]') IS NOT NULL DROP PROCEDURE [VsixPackages_GetLatest]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [VsixPackages_GetLatest]
(
	@Feed_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [VsixPackages_Latest]
	 WHERE [Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [VsixPackages_GetLatest] TO [ProGetUser_Role]
GO
